{ pkgs, lib, ... }:
{
  programs.ssh = {
    enable = true;
	enableDefaultConfig = false;
    matchBlocks = {
      "dm2" = {
        hostname = "192.168.0.190";
        port = 22;
        user = "fw";
        identityFile = "/home/fw/.ssh/fw-ssh-key";
      };
      "caddy" = {
        hostname = "192.168.0.214";
        port = 22;
        user = "ifacts";
        identityFile = "/home/fw/.ssh/id_ed25519";
      };
      "wazuh" = {
        hostname = "192.168.0.200";
        port = 22;
        user = "ifacts";
        identityFile = "/home/fw/.ssh/id_ed25519";
      };
      "nixos" = {
        hostname = "192.168.0.218";
        port = 22;
        user = "fw";
        identityFile = "/home/fw/.ssh/id_ed25519";
      };
      "kobo" = {
        hostname = "192.168.1.192";
        port = 22;
        user = "root";
      };
      "docker03" = {
        hostname = "192.168.0.118";
        port = 22;
        user = "fw";
        identityFile = "/home/fw/.ssh/fw-ssh-key";
      };
      "node" = {
        hostname = "192.168.1.227";
        port = 22;
        user = "fw";
        identityFile = "/home/fw/.ssh/id_rsa";
      };
    };
  };
}
